# Package org.apache.ignite.cluster

Contains cluster-related classes.

See: Description

Interface Summary
Interface | Description
--- | ---
ClusterGroup | Defines a cluster group which contains all or a subset of cluster nodes.
ClusterMetrics | This class represents runtime information on a cluster.
ClusterNode | Interface representing a single cluster node.
ClusterStartNodeResult | Cluster start node result information.

Exception Summary
Exception | Description
--- | ---
ClusterGroupEmptyException | This exception defines illegal call on empty cluster group.
ClusterTopologyException | This exception is used to indicate error with the cluster topology (e.g., crashed node, etc.).

## Package org.apache.ignite.cluster Description

Contains cluster-related classes.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015